SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Apple Xcode Vendors:   Apple
Apple Xcode Lets Local Users Execute Arbitrary Code on the Target System
SecurityTracker Alert ID:  1036787
SecurityTracker URL:  http://securitytracker.com/id/1036787
CVE Reference:   CVE-2016-4704, CVE-2016-4705   (Links to External Site)
Date:  Sep 13 2016
Impact:   Execution of arbitrary code via local system, Root access via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 8.0
Description:   Two vulnerabilities were reported in Apple Xcode. A local user can execute arbitrary code on the target system.

A local user can trigger memory corruption errors in 'otool' to execute arbitrary code on the target system [CVE-2016-4704, CVE-2016-4705].

Shrek_wzw of Qihoo 360 Nirvan Team and riusksk of Tencent Security Platform Department reported these vulnerabilities.

Impact:   A local user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix (8.0).

The vendor advisory is available at:

https://support.apple.com/en-us/HT207140

Vendor URL:  support.apple.com/en-us/HT207140 (Links to External Site)
Cause:   Access control error
Underlying OS:  UNIX (macOS/OS X)
Underlying OS Comments:  10.11.5 and later

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC